IriSP.serializers.medialist = {
    deSerialize : function(_data, _source) {
        var _medialist = new IriSP.Model.List(_source.directory);
        _data = IriSP._(_data).shuffle();
        IriSP._(_data).each(function(_m, i) {
            var _media = new IriSP.Model.Media(_m.id, _source);
            _media.video = _m.video;
            _media.title = _m.title;
            _media.description = "par " + _m.author;
            _media.setDuration(_m.duration);
            _media.thumbnail = _m.thumbnail;
            _media.color = IriSP.vizcolors[i % IriSP.vizcolors.length];
            _medialist.push(_media);
        });
        _source.addList("media", _medialist);
    }
}

/* END medialist-serializer.js */
